------------------------------------------------------------------------------
-- SellableItemDrops - Logging your sellable item drops
------------------------------------------------------------------------------
-- Changelog.lua
--
-- Author: Expelliarm5s / September 2019 / All Rights Reserved
--
-- Version 0.4.13
------------------------------------------------------------------------------
local addonName, addon = ...
------------------------------------------------------------------------------

addon.Changelog = {}

addon.Changelog.Changelog =
[[

## Changelog ##

v0.3.4 .. v0.3.10: TSM3-Module
v0.4.7: 
 - Rewrite as standalone addon and compatible with UJ, TSM 3 and 4.
v0.4.8: 
 - Fix: deleting items mit Alt-Right-Click
 - Fix: update item lists if GetItemInfo() failed
 - New: extra vendorsell item list option
 - New: lesser size if shrinked
v0.4.9:
 - Fix EditBox widget use 
v0.4.11:
 - Auctioning items at AH directly from bags tab using Auctionator
 - Fix for 8.2.x
v0.4.12:
 - updated soundfile FileDataIDs due to the removal of file paths
v0.4.13:
 - fixing Tooltip and Sound for Classic
]]

addon.Changelog.ToDo =
[[

## Things To Do ##
- better vendorsell itemlists
- redoo shring stuff
- count real instance resets with timer
- key = Item:GetItemInfo(val) stuff
- convert and/or import old data, clean up variables
- ACE3 profile support
- more Tabs: Bank/Guild Bank/Tools/Statistics/Search/Data Export
]]

addon.Changelog.infotext =
[[
Sellable Item Drops remembers your looted items.

A list shows the name, time, location of each dropped item and its market value based on a selectable Trade Skill Master v3 or v4 or The Undermine Journal price source.

The current session data can be archived in a database and that database of previous sessions can be searched for items and more.

Sellable Item Drops is helpful during competitive Transmog Challenge Runs or when farming instances to track the accumulated market value of all dropped items over a given time period.

Looted BOP pet items display their corresponding caged pet value. Pet Farm Challenges are therefor supported.

Sellable Item Drops provides a sortable list of all dropped items to identify rewarding farm locations or to document found items for yourself or others.

Sellable Item Drops works without any additional addons and then displays the vendor sell value of the items.

However, it may also use price sources from The Undermine Journal or Trade Skill Master Version 3 or 4. If TSM is used, the TSM Desktop App should also be installed for price source 'DBRegionMarketAvg' to be available.

The interface opens with /sid. Addon options are configured through the normal game options.

You can find me as Expelliarm5s on Curse.com/Curseforge.com and Twitch for suggestions and comments.
]]

addon.Changelog.infotextdeDE =
[[
Sellable Item Drops merkt sich alle erbeuteten und verkaufbaren Gegenstände, die während einer Farmsitzung droppen.

Es zeigt deren Namen, Fundort, Zeitpunkt und Marktwert, der durch eine einstellbare 'Trade Skill Master' oder 'The Undermine Journal'-Preisquelle ermittelt wird.

Alle Gegenstände werden in einer sortierbaren und durchsuchbaren Liste angezeigt. Über eine integrierte Chronik können auch die Ergebnisse vergangener Sitzungen angezeigt werden.

Zusätzlich werden 'Transmog Challenge Runs' unterstützt, bei denen im Wettstreit mit anderen versucht wird, den höchsten Marktwert aller erbeuteten Gegenstände während einer bestimmten Zeitspanne zu erreichen.

Sellable Item Drops liefert eine sortierbare Liste aller gedroppten Gegenstände um lohnende Farmorte zu identifizieren oder um gefundene Gegenstände für sich oder andere zu dokumentieren.

Sellable Item Drops funktioniert ganz ohne andere Addons und zeigt dann den Händlerverkaufswert der Items an.

Es kann jedoch auch Preisquellen von The Undermine Journal oder TradeSkillMaster Version 3 oder 4 benutzen.
Falls TSM verwendet wird, sollte auch die TSM Desktop App installiert sein, damit die Preisquelle 'DBRegionMarketAvg' zur Verfügung steht.

Für Wünsche und Fragen bin ich als Expelliarm5s auf Curse.com/Curseforge.com und Twitch zu erreichen.
]]

-- EOF
